---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach012Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x58B60, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5AAA0, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5AE90, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5BE30, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5BE40, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x8DDA, offset: 0x8DDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x587D0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DE5, offset: 0x8DE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x587D4, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DF0, offset: 0x8DF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x587D8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E35, offset: 0x8E35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x58930, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x589E8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EC0, offset: 0x8EC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x589EC, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8ED9, offset: 0x8ED9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x589F0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x589F4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x589F8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x58A00, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x58A10, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FC6, offset: 0x8FC6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x58A18, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FDF, offset: 0x8FDF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x58A20, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x58A28, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9011, offset: 0x9011, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x58A30, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x58A38, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9111, offset: 0x9111, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x58A7C, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x58A80, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x58A88, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x915C, offset: 0x915C, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x58A90, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x91AE, offset: 0x91AE, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2D50, symSize: 0x80 }
  - { offsetInCU: 0x9243, offset: 0x9243, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2CA0, symSize: 0xB0 }
  - { offsetInCU: 0x929E, offset: 0x929E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2BA0, symSize: 0x100 }
  - { offsetInCU: 0x9531, offset: 0x9531, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2DD0, symSize: 0x220 }
  - { offsetInCU: 0x9716, offset: 0x9716, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2FF0, symSize: 0xA0 }
  - { offsetInCU: 0x97C9, offset: 0x97C9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3090, symSize: 0x110 }
  - { offsetInCU: 0x98BF, offset: 0x98BF, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x31A0, symSize: 0x150 }
  - { offsetInCU: 0x9A1C, offset: 0x9A1C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x32F0, symSize: 0x30 }
  - { offsetInCU: 0x9AA5, offset: 0x9AA5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3320, symSize: 0x150 }
  - { offsetInCU: 0x9C9D, offset: 0x9C9D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3470, symSize: 0x160 }
  - { offsetInCU: 0x9E3D, offset: 0x9E3D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x35D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA058, offset: 0xA058, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3780, symSize: 0xA0 }
  - { offsetInCU: 0xA127, offset: 0xA127, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3820, symSize: 0x20 }
  - { offsetInCU: 0xA15E, offset: 0xA15E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3840, symSize: 0x20 }
  - { offsetInCU: 0xA195, offset: 0xA195, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3860, symSize: 0x20 }
  - { offsetInCU: 0xA304, offset: 0xA304, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3880, symSize: 0x1A0 }
  - { offsetInCU: 0xA620, offset: 0xA620, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3A20, symSize: 0x130 }
  - { offsetInCU: 0xA7D0, offset: 0xA7D0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3B50, symSize: 0x80 }
  - { offsetInCU: 0xA899, offset: 0xA899, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3BD0, symSize: 0x6A0 }
  - { offsetInCU: 0xB42E, offset: 0xB42E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x5460, symSize: 0xB0 }
  - { offsetInCU: 0xB4A5, offset: 0xB4A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4270, symSize: 0x70 }
  - { offsetInCU: 0xB561, offset: 0xB561, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x42E0, symSize: 0xA0 }
  - { offsetInCU: 0xB640, offset: 0xB640, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4380, symSize: 0x40 }
  - { offsetInCU: 0xB736, offset: 0xB736, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x43C0, symSize: 0x2B0 }
  - { offsetInCU: 0xBADC, offset: 0xBADC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4670, symSize: 0xC0 }
  - { offsetInCU: 0xBC22, offset: 0xBC22, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4730, symSize: 0x10 }
  - { offsetInCU: 0xBCE4, offset: 0xBCE4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4740, symSize: 0x220 }
  - { offsetInCU: 0xBFE1, offset: 0xBFE1, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x4960, symSize: 0x150 }
  - { offsetInCU: 0xC0A4, offset: 0xC0A4, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x4AB0, symSize: 0x3C0 }
  - { offsetInCU: 0xC3D9, offset: 0xC3D9, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x4E70, symSize: 0xF0 }
  - { offsetInCU: 0xC4DB, offset: 0xC4DB, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x4F60, symSize: 0x270 }
  - { offsetInCU: 0xC78C, offset: 0xC78C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x51D0, symSize: 0xB0 }
  - { offsetInCU: 0xC7F3, offset: 0xC7F3, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x5280, symSize: 0x1E0 }
  - { offsetInCU: 0xC9CA, offset: 0xC9CA, size: 0x8, addend: 0x0, symName: _printCapabilities, symObjAddr: 0xBA30, symBinAddr: 0x5510, symSize: 0x4B0 }
  - { offsetInCU: 0xCE5A, offset: 0xCE5A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xBEE0, symBinAddr: 0x59C0, symSize: 0x320 }
  - { offsetInCU: 0xD2A6, offset: 0xD2A6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC200, symBinAddr: 0x5CE0, symSize: 0x36A }
...
